@import url("https://fonts.googleapis.com/css?family=Roboto:400,500,700");
@import url("https://fonts.googleapis.com/css?family=Karla:400,700");

:root {
    --ct-body-font-family: Roboto, sans-serif;
    --ct-body-font-size: 0.9rem;
    --ct-body-font-weight: 400;
    --ct-body-line-height: 1.5;
    --ct-body-color: #adb5bd;
    --ct-body-bg: #2c333e;
    --ct-bg-shade1: #353d4a;
    --ct-bg-shade2: #404959;
    --ct-text: #fff;
    --ct-text-shade1: #909daa;
    --ct-text-active: #71b5f7;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family: var(--ct-body-font-family);
    font-size: var(--ct-body-font-size);
    font-weight: var(--ct-body-font-weight);
    line-height: var(--ct-body-line-height);
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    height: 100vh;
    width: 100vw;
}

#wrapper {
    height: 100%;
    width: 100%;
    /* overflow: hidden; */
}

.content {
    margin-top: 1rem;
}

.hidden{
    display: none !important;
}

/*#region TopNav*/
.top-nav {
    display: flex;
    align-items: center;
    height: 70px;
}

.theme {
    opacity: 0;
    position: absolute;
}

.theme-label {
    background-color: #111;
    width: 50px;
    height: 26px;
    border-radius: 50px;
    position: relative;
    padding: 5px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.fa-moon {
    color: #f1c40f;
}

.fa-sun {
    color: #f39c12;
}

.theme-label .ball {
    background-color: #fff;
    width: 22px;
    height: 22px;
    position: absolute;
    left: 2px;
    top: 2px;
    border-radius: 50%;
    transition: transform 0.2s linear;
}

.theme:checked+.theme-label .ball {
    transform: translateX(24px);
}

.logout{
    color: #000;
    font-size: 26px;
    margin-left: 1rem;
    text-decoration: none;
}

html[data-bs-theme="light"] .logout{
    color: #000;
}

html[data-bs-theme="dark"] .logout{
    color: #fff;
}
/*#endregion TopNav*/

/*#region Navbar*/
.navbar,
option {
    background: var(--ct-bg-shade1) !important;
    box-shadow: 0px 0px 35px 0px rgba(66, 72, 80, 0.15);
}

.navbar-nav {
    column-gap: 0.5rem;
}

.navbar-nav a {
    color: var(--ct-text-shade1) !important;
}

.navbar-nav .nav-link.active,
.navbar-nav .nav-link:active,
.navbar-nav .nav-link:focus,
.navbar-nav .nav-link:hover {
    color: var(--ct-text-active) !important;
}

.navbar-nav .nav-item:first-child .nav-link {
    padding-left: 0;
}

.dropdown-menu {
    background: var(--ct-bg-shade1) !important;
    box-shadow: 0px 0px 35px 0px rgba(66, 72, 80, 0.15);
    border-radius: 0 0 .25rem .25rem;
    animation-name: DropDownSlide;
    animation-duration: .3s;
    animation-fill-mode: both;
    border: 1px solid var(--ct-bg-shade2);
    top: calc(100% + 0.4rem) !important;
}

.dropdown-item.active,
.dropdown-item:active,
.dropdown-item:focus,
.dropdown-item:hover {
    color: var(--ct-text-active) !important;
    background: var(--ct-bg-shade2) !important;
}

@keyframes DropDownSlide {
    100% {
        transform: translateY(0);
    }

    0% {
        transform: translateY(15px);
    }
}

.dropdown-toggle::after {
    content: none;
}

.nav-link .svg-inline--fa {
    font-size: 0.8rem;
}

/*#endregion Navbar*/

/*#region Datatable*/
.table-scrollable {
    margin-top: 1rem;
}

.dt-buttons {
    display: flex;
    column-gap: 0.5rem;
    margin-bottom: 1rem;
}

/*#endregion Datatable*/

/*#region Form Controls*/
.error {
    border-color: rgb(220, 53, 69) !important;
    box-shadow: 0 0 0 0.25rem rgba(220, 53, 69, .25) !important;
}

.btn-rounded {
    border-radius: 50%;
    height: 2rem;
}

.btn-icon-only {
    display: flex;
    justify-content: center;
    justify-content: center;
    width: 2rem;
}

/*#endregion*/

/*#region loader*/
.loader-line {
    width: 100%;
    height: 3px;
    position: relative;
    overflow: hidden;
    background-color: var(--ct-bg-shade1);
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    border-radius: 20px;
}

.loader-line:before {
    content: "";
    position: absolute;
    left: -50%;
    height: 3px;
    width: 40%;
    background-color: coral;
    -webkit-animation: lineAnim 1s linear infinite;
    -moz-animation: lineAnim 1s linear infinite;
    animation: lineAnim 1s linear infinite;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    border-radius: 20px;
}

@keyframes lineAnim {
    0% {
        left: -40%;
    }

    50% {
        left: 20%;
        width: 80%;
    }

    100% {
        left: 100%;
        width: 100%;
    }
}

/*#endregion loader*/

.tag {
    text-decoration: none !important;
    color: #fff;
    padding: 0.2rem 1rem;
    border-radius: 0.2rem;
  }
  
  .tag-Pending{
    background: #e4eaec;
    color: #000;
  }
  .tag-Approved, .tag-Successful{
    background: #00d25b;
  }
  .tag-Rejected, .tag-Failed{
    background: #fc424a;
  }
  .tag-Canceled{
    background: #ffc107;
  }
